include(CMakeForceCompiler)

# CROSS COMPILER SETTING
set(CMAKE_SYSTEM_NAME Generic)
cmake_minimum_required(VERSION 3.19)

# THE VERSION NUMBER
SET (Tutorial_VERSION_MAJOR 1)
SET (Tutorial_VERSION_MINOR 0)

project(my_project)

# ENABLE ASM
enable_language(ASM)

set(CMAKE_STATIC_LIBRARY_PREFIX)
set(CMAKE_STATIC_LIBRARY_SUFFIX)

set(CMAKE_EXECUTABLE_LIBRARY_PREFIX)
set(CMAKE_EXECUTABLE_LIBRARY_SUFFIX)

set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -DDEBUG")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -D__STARTUP_CLEAR_BSS")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -D__STARTUP_INITIALIZE_NONCACHEDATA")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -g")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -mcpu=cortex-m3")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -Wall")
# set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -mfloat-abi=hard")
# set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -mfpu=fpv4-sp-d16")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -mthumb")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -fno-common")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -ffunction-sections")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -fdata-sections")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -ffreestanding")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -fno-builtin")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -mapcs")
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -std=gnu99")

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mcpu=cortex-m3")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall")
# set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mfloat-abi=hard")
# set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mfpu=fpv4-sp-d16")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mthumb")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -MMD")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -MP")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-common")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ffunction-sections")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fdata-sections")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -ffreestanding")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-builtin")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mapcs")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -std=gnu99")

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mcpu=cortex-m3")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
# set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mfloat-abi=hard")
# set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mfpu=fpv4-sp-d16")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mthumb")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -MMD")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -MP")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-common")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ffunction-sections")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fdata-sections")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ffreestanding")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-builtin")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mapcs")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-rtti")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-exceptions")

set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -g")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -mcpu=cortex-m3")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Wall")
# set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -mfloat-abi=hard")
# set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -mfpu=fpv4-sp-d16")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} --specs=nano.specs")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} --specs=nosys.specs")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fno-common")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -ffunction-sections")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fdata-sections")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -ffreestanding")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fno-builtin")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -mthumb")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -mapcs")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Xlinker")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} --gc-sections")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Xlinker")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -static")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Xlinker")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -z")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Xlinker")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} muldefs")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Xlinker")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -Map=output.map")

# ignore warnings
set(CMAKE_ASM_FLAGS_DEBUG "${CMAKE_ASM_FLAGS_DEBUG} -Wno-unused-function")
set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG}   -Wno-unused-function")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-unused-function")

set(PrjDirPath ${CMAKE_CURRENT_SOURCE_DIR})

# USER_CONF_START
include_directories(
    ${PrjDirPath}/../../../../components
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes
    ${PrjDirPath}/..
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/tabview
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/sjpg
    ${PrjDirPath}/../../../../device/CMSIS/Include
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/png
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/animimg
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/colorwheel
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/spinner
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/tileview
    ${PrjDirPath}/../../../../components/lvgl_v8/src/hal
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/default
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/gif
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/mono
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/basic
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/keyboard
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/qrcode
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/list
    ${PrjDirPath}/../../../../components/lvgl_v8/src/font
    ${PrjDirPath}/../../../../components/lvgl_v8/src/draw
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/meter
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/layouts/flex
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/layouts/grid
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/msgbox
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/imgbtn
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/rlottie
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/freetype
    ${PrjDirPath}/../../../../components/lvgl_v8/src/misc
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/chart
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/bmp
    ${PrjDirPath}/../../../../device/drivers
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/others
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/win
    ${PrjDirPath}/../../../../components/lvgl_v8/src/widgets
    ${PrjDirPath}/../../../../device
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/libs/fsdrv
    ${PrjDirPath}/../../../../components/lvgl_v8/src/core
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/layouts
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/others/snapshot
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/calendar
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/led
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/span
    ${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/spinbox
    ${PrjDirPath}/../../../../components/lvgl_v8/src
)

add_executable(${CMAKE_PROJECT_NAME}.elf
    "${PrjDirPath}/../../../../device/mm32f3273g.h"
    "${PrjDirPath}/../../../../device/system_mm32f3273g.h"
    "${PrjDirPath}/../../../../device/mm32f3273g_features.h"
    "${PrjDirPath}/../../../../device/system_mm32f3273g.c"
    "${PrjDirPath}/../../../../device/hal_device_registers.h"
    "${PrjDirPath}/../../../../device/armgcc/startup_mm32f3273g.S"
    "${PrjDirPath}/../../../../device/drivers/hal_rtc.c"
    "${PrjDirPath}/../../../../device/drivers/hal_wwdg.c"
    "${PrjDirPath}/../../../../device/drivers/hal_uart.h"
    "${PrjDirPath}/../../../../device/drivers/hal_sdio.h"
    "${PrjDirPath}/../../../../device/drivers/hal_pwr.h"
    "${PrjDirPath}/../../../../device/drivers/hal_spi.c"
    "${PrjDirPath}/../../../../device/drivers/hal_i2c.h"
    "${PrjDirPath}/../../../../device/drivers/hal_power.h"
    "${PrjDirPath}/../../../../device/drivers/hal_dma_request.h"
    "${PrjDirPath}/../../../../device/drivers/hal_exti.c"
    "${PrjDirPath}/../../../../device/drivers/hal_rtc.h"
    "${PrjDirPath}/../../../../device/drivers/hal_exti.h"
    "${PrjDirPath}/../../../../device/drivers/hal_fsmc.c"
    "${PrjDirPath}/../../../../device/drivers/hal_usb_bdt.h"
    "${PrjDirPath}/../../../../device/drivers/hal_tim.h"
    "${PrjDirPath}/../../../../device/drivers/hal_power.c"
    "${PrjDirPath}/../../../../device/drivers/hal_pwr.c"
    "${PrjDirPath}/../../../../device/drivers/hal_common.h"
    "${PrjDirPath}/../../../../device/drivers/hal_rcc.h"
    "${PrjDirPath}/../../../../device/drivers/hal_gpio.h"
    "${PrjDirPath}/../../../../device/drivers/hal_syscfg.c"
    "${PrjDirPath}/../../../../device/drivers/hal_i2c.c"
    "${PrjDirPath}/../../../../device/drivers/hal_tim.c"
    "${PrjDirPath}/../../../../device/drivers/hal_flash.c"
    "${PrjDirPath}/../../../../device/drivers/hal_usb.h"
    "${PrjDirPath}/../../../../device/drivers/hal_comp.c"
    "${PrjDirPath}/../../../../device/drivers/hal_fsmc.h"
    "${PrjDirPath}/../../../../device/drivers/hal_iwdg.c"
    "${PrjDirPath}/../../../../device/drivers/hal_spi.h"
    "${PrjDirPath}/../../../../device/drivers/hal_i2s.h"
    "${PrjDirPath}/../../../../device/drivers/hal_dac.h"
    "${PrjDirPath}/../../../../device/drivers/hal_i2s.c"
    "${PrjDirPath}/../../../../device/drivers/hal_uart.c"
    "${PrjDirPath}/../../../../device/drivers/hal_wwdg.h"
    "${PrjDirPath}/../../../../device/drivers/hal_rcc.c"
    "${PrjDirPath}/../../../../device/drivers/hal_sdio.c"
    "${PrjDirPath}/../../../../device/drivers/hal_dma.c"
    "${PrjDirPath}/../../../../device/drivers/hal_dma.h"
    "${PrjDirPath}/../../../../device/drivers/hal_syscfg.h"
    "${PrjDirPath}/../../../../device/drivers/hal_usb.c"
    "${PrjDirPath}/../../../../device/drivers/hal_dac.c"
    "${PrjDirPath}/../../../../device/drivers/hal_flash.h"
    "${PrjDirPath}/../../../../device/drivers/hal_adc.h"
    "${PrjDirPath}/../../../../device/drivers/hal_adc.c"
    "${PrjDirPath}/../../../../device/drivers/hal_comp.h"
    "${PrjDirPath}/../../../../device/drivers/hal_iwdg.h"
    "${PrjDirPath}/../../../../device/drivers/hal_gpio.c"
    "${PrjDirPath}/../lv_port_disp.h"
    "${PrjDirPath}/../board_init.h"
    "${PrjDirPath}/../lcd_st7796s.c"
    "${PrjDirPath}/../clock_init.h"
    "${PrjDirPath}/../pin_init.c"
    "${PrjDirPath}/../board_init.c"
    "${PrjDirPath}/../lv_port_disp.c"
    "${PrjDirPath}/../lcd_st7796s_port.c"
    "${PrjDirPath}/../readme.md"
    "${PrjDirPath}/../pin_init.h"
    "${PrjDirPath}/../clock_init.c"
    "${PrjDirPath}/../main.c"
    "${PrjDirPath}/../lv_conf.h"
    "${PrjDirPath}/../lcd_st7796s.h"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_disp.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_event.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_group.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_indev.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_indev_scroll.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_class.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_draw.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_pos.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_scroll.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_style.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_style_gen.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_obj_tree.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_refr.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/core/lv_theme.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_arc.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_blend.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_img.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_label.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_line.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_mask.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_rect.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_draw_triangle.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_img_buf.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_img_cache.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/draw/lv_img_decoder.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/lv_extra.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/layouts/flex/lv_flex.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/layouts/grid/lv_grid.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/others/snapshot/lv_snapshot.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/basic/lv_theme_basic.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/default/lv_theme_default.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/themes/mono/lv_theme_mono.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/animimg/lv_animimg.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/calendar/lv_calendar.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/calendar/lv_calendar_header_arrow.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/calendar/lv_calendar_header_dropdown.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/chart/lv_chart.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/colorwheel/lv_colorwheel.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/imgbtn/lv_imgbtn.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/keyboard/lv_keyboard.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/led/lv_led.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/list/lv_list.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/meter/lv_meter.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/msgbox/lv_msgbox.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/span/lv_span.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/spinbox/lv_spinbox.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/spinner/lv_spinner.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/tabview/lv_tabview.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/tileview/lv_tileview.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/extra/widgets/win/lv_win.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_dejavu_16_persian_hebrew.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_fmt_txt.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_loader.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_10.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_12.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_12_subpx.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_14.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_16.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_18.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_20.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_22.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_24.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_26.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_28.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_28_compressed.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_30.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_32.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_34.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_36.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_38.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_40.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_42.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_44.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_46.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_48.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_montserrat_8.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_simsun_16_cjk.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_unscii_16.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/font/lv_font_unscii_8.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/hal/lv_hal_disp.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/hal/lv_hal_indev.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/hal/lv_hal_tick.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_anim.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_anim_timeline.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_area.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_async.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_bidi.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_color.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_fs.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_gc.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_ll.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_log.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_math.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_mem.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_printf.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_style.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_style_gen.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_templ.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_timer.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_tlsf.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_txt.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_txt_ap.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/misc/lv_utils.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_arc.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_bar.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_btn.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_btnmatrix.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_canvas.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_checkbox.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_dropdown.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_img.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_label.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_line.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_objx_templ.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_roller.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_slider.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_switch.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_table.c"
    "${PrjDirPath}/../../../../components/lvgl_v8/src/widgets/lv_textarea.c"
)

target_compile_definitions(${CMAKE_PROJECT_NAME}.elf
    PRIVATE LV_CONF_INCLUDE_SIMPLE
    PRIVATE BRD_PLUS_F3270
)

set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -T${PrjDirPath}/../../../../device/armgcc/linker/mm32f3273g_flash.ld -static")

# USER_CONF_END

target_link_libraries(${CMAKE_PROJECT_NAME}.elf
    -Wl,--start-group
    debug m
    debug c
    debug gcc
    debug nosys
    optimized m
    optimized c
    optimized gcc
    optimized nosys
    -Wl,--end-group
)
